import { mapGetters, mapActions } from 'vuex';
export default {
  data() {
    return {};
  },
  computed: {
    isQianKun() {
      return window.__POWERED_BY_QIANKUN__;
    },
    ...mapGetters(['paramsSetData']),
    //流程是否需要审核
    isNeed_process_is_close() {
      let data =
        (this.isQianKun
          ? this.$portalStore.state?.paramsSetData?.paramsData
          : this.paramsSetData.paramsData) || [];
      let index = data.findIndex((item) => item.code == 'process_is_close');
      if (index > -1) {
        const param = this.paramsSetData.paramsData[index];
        if (param.enable) {
          return true;
        } else return param.value == 0;
      }
      return true;
    },
    //客户基本信息是否需要审批
    isNeed_contact_is_approval() {
      console.log(this.paramsSetData.paramsData, '====');
    }
  },
  methods: {
    ...mapActions('dict', ['requestDict'])
  }
};
